Paste Code
Paste Blends
Paste Images
---------------------------------------------------------------------------
IOError Traceback (most recent call last)
<ipython-input-5-36b60e02c7c6> in <module>()
----> 1 get_ipython().magic(u'install_ext bash.py')

/home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in magic(self, arg_s)
2162 magic_name, _, magic_arg_s = arg_s.partition(' ')
2163 magic_name = magic_name.lstrip(prefilter.ESC_MAGIC)
-> 2164 return self.run_line_magic(magic_name, magic_arg_s)
2165
2166 #-------------------------------------------------------------------------

/home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in run_line_magic(self, magic_name, line)
2088 kwargs['local_ns'] = sys._getframe(stack_depth).f_locals
2089 with self.builtin_trap:
-> 2090 result = fn(*args,**kwargs)
2091 return result
2092

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magic.pyc in <lambda>(f, *a, **k)
189 # but it's overkill for just that one bit of state.
190 def magic_deco(arg):
--> 191 call = lambda f, *a, **k: f(*a, **k)
192
193 if callable(arg):

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
45 try:
46 filename = self.shell.extension_manager.install_extension(args,
---> 47 opts.get('n'))
48 except ValueError as e:
49 print e

/home/kesten/VCP/Git/iPython/ipython/IPython/core/extensions.pyc in install_extension(self, url, filename)
154
155 filename = os.path.join(self.ipython_extension_dir, filename)
--> 156 copy(url, filename)
157 return filename

/usr/lib/python2.7/urllib.pyc in urlretrieve(url, filename, reporthook, data)
91 if not _urlopener:
92 _urlopener = FancyURLopener()
---> 93 return _urlopener.retrieve(url, filename, reporthook, data)
94 def urlcleanup():
95 if _urlopener:

/usr/lib/python2.7/urllib.pyc in retrieve(self, url, filename, reporthook, data)
237 except IOError:
238 pass
--> 239 fp = self.open(url, data)
240 try:
241 headers = fp.info()

/usr/lib/python2.7/urllib.pyc in open(self, fullurl, data)
205 try:
206 if data is None:
--> 207 return getattr(self, name)(url)
208 else:
209 return getattr(self, name)(url, data)

/usr/lib/python2.7/urllib.pyc in open_file(self, url)
460 return self.open_ftp(url)
461 else:
--> 462 return self.open_local_file(url)
463
464 def open_local_file(self, url):

/usr/lib/python2.7/urllib.pyc in open_local_file(self, url)
474 stats = os.stat(localname)
475 except OSError, e:
--> 476 raise IOError(e.errno, e.strerror, e.filename)
477 size = stats.st_size
478 modified = email.utils.formatdate(stats.st_mtime, usegmt=True)

IOError: [Errno 2] No such file or directory: 'bash.py'
  1. ---------------------------------------------------------------------------
  2. IOError                                   Traceback (most recent call last)
  3. <ipython-input-5-36b60e02c7c6> in <module>()
  4. ----> 1 get_ipython().magic(u'install_ext bash.py')
  5.  
  6. /home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in magic(self, arg_s)
  7.    2162         magic_name, _, magic_arg_s = arg_s.partition(' ')
  8.    2163         magic_name = magic_name.lstrip(prefilter.ESC_MAGIC)
  9. -> 2164         return self.run_line_magic(magic_name, magic_arg_s)
  10.    2165
  11.    2166     #-------------------------------------------------------------------------
  12.  
  13. /home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in run_line_magic(self, magic_name, line)
  14.    2088                 kwargs['local_ns'] = sys._getframe(stack_depth).f_locals
  15.    2089             with self.builtin_trap:
  16. -> 2090                 result = fn(*args,**kwargs)
  17.    2091             return result
  18.    2092
  19.  
  20. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
  21.  
  22. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magic.pyc in <lambda>(f, *a, **k)
  23.     189     # but it's overkill for just that one bit of state.
  24.     190     def magic_deco(arg):
  25. --> 191         call = lambda f, *a, **k: f(*a, **k)
  26.     192
  27.     193         if callable(arg):
  28.  
  29. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
  30.      45         try:
  31.      46             filename = self.shell.extension_manager.install_extension(args,
  32. ---> 47                                                                  opts.get('n'))
  33.      48         except ValueError as e:
  34.      49             print e
  35.  
  36. /home/kesten/VCP/Git/iPython/ipython/IPython/core/extensions.pyc in install_extension(self, url, filename)
  37.     154
  38.     155         filename = os.path.join(self.ipython_extension_dir, filename)
  39. --> 156         copy(url, filename)
  40.     157         return filename
  41.  
  42. /usr/lib/python2.7/urllib.pyc in urlretrieve(url, filename, reporthook, data)
  43.      91     if not _urlopener:
  44.      92         _urlopener = FancyURLopener()
  45. ---> 93     return _urlopener.retrieve(url, filename, reporthook, data)
  46.      94 def urlcleanup():
  47.      95     if _urlopener:
  48.  
  49. /usr/lib/python2.7/urllib.pyc in retrieve(self, url, filename, reporthook, data)
  50.     237             except IOError:
  51.     238                 pass
  52. --> 239         fp = self.open(url, data)
  53.     240         try:
  54.     241             headers = fp.info()
  55.  
  56. /usr/lib/python2.7/urllib.pyc in open(self, fullurl, data)
  57.     205         try:
  58.     206             if data is None:
  59. --> 207                 return getattr(self, name)(url)
  60.     208             else:
  61.     209                 return getattr(self, name)(url, data)
  62.  
  63. /usr/lib/python2.7/urllib.pyc in open_file(self, url)
  64.     460             return self.open_ftp(url)
  65.     461         else:
  66. --> 462             return self.open_local_file(url)
  67.     463
  68.     464     def open_local_file(self, url):
  69.  
  70. /usr/lib/python2.7/urllib.pyc in open_local_file(self, url)
  71.     474             stats = os.stat(localname)
  72.     475         except OSError, e:
  73. --> 476             raise IOError(e.errno, e.strerror, e.filename)
  74.     477         size = stats.st_size
  75.     478         modified = email.utils.formatdate(stats.st_mtime, usegmt=True)
  76.  
  77. IOError: [Errno 2] No such file or directory: 'bash.py'
go to heaven